package ch.hevs.isi.web;

import ch.hevs.isi.core.DataPoint;
import ch.hevs.isi.core.DataPointListener;

public class WebConnector implements DataPointListener {
    private static WebConnector mySelf = null;

    private WebConnector (){

    }

    public static WebConnector  getMySelf(){
        if (mySelf == null){
            mySelf = new WebConnector();
        }
        return mySelf;
    }
    public void initialize(String host, int port){

    }

    private void pushToWeb(DataPoint dp){
        System.out.println(dp.toString() + " -> Web");
    }

    @Override
    public void onNewValue(DataPoint dp) {
        pushToWeb(dp);
    }
}
